﻿using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BusinessLogic.OfficePackage.HelperModels
{
    public class PdfInfo
    {
        public string FileName { get; set; } = string.Empty;
        public string Title { get; set; } = string.Empty;
        public DateTime? Date { get; set; }
        public SupplyViewModel? Supply { get; set; } = new();
        public ProductViewModel? Product { get; set; } = new();
        public List<MediaFileViewModel>? MediaFiles { get; set; } = new();
    }
}
