﻿using Contracts.BindingModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BusinessLogic.Tools.Mail.MailTemplates
{
    public class MailRegistration : Mail
    {
        public MailRegistration(UserBindingModel user)
        {
            if (user.OnlyImportantMails)
            {
                IsSendable = false;
            }
            To = [user.Email];
            Title = "Приветствуем Вас на нашем сайте!";
            Body = $"Спасибо, {user.SecondName} {user.FirstName}, что выбрали НАС.\n" +
                $"Надеемся, что Вам что-то уже приглянулось!";
        }
    }
}