﻿using Contracts.BindingModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BusinessLogic.Tools.Mail.MailTemplates
{
	public class MailUpdateUserData : Mail
	{
		public MailUpdateUserData(UserBindingModel user)
		{
			To = [user.Email];
			Title = "Данные пользователя были обновлены!";
			Body = $"Уважаемый {user.SecondName} {user.FirstName}, Ваши данные были обвновлены.\n" +
				$"Если это были не Вы, то что поделать, Вам придется менять пароль.";
		}
	}
}