﻿using DataModels.Enums;
using DataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BindingModels
{
	public class PurchaseBindingModel
	{
		public Guid Id { get; set; }
		public DateTime DatePurchase { get; set; }
		public Guid UserId { get; set; }
		public PurchaseStatus Status { get; set; }
		public Dictionary<Guid, (IProduct, int)> PurchaseProducts { get; set; } = new();
	}
}
