﻿using DataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BindingModels
{
    public class SupplierBindingModel : ISupplier
    {
        public Guid Id { get; set; }
        public string Name { get; set; } = string.Empty;
        public Dictionary<Guid, (IProduct, int)> AvailibleProducts { get; set; } = new();
        public int Deals { get; set; } = 0;
    }
}
