﻿using DataModels.Enums;
using DataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BindingModels
{
    public class SupplyBindingModel : ISupply
    {
        public Guid Id { get; set; }
        public string Name { get; set; } = string.Empty;
        public Guid SupplierId { get; set; }
        public DateTime Date { get; set; }
        public DateTime? DateArriving { get; set; }
        public DateTime? DateComplete { get; set; }
        public double Price { get; set; }
        public SupplyStatus Status { get; set; }
        public Dictionary<Guid, (IProduct, int)> SupplyProducts { get; set; } = new();
    }
}
