﻿using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogicContracts
{
	public interface IPurchaseLogic
	{
		PurchaseViewModel Create(PurchaseBindingModel model);

		PurchaseViewModel Update(PurchaseBindingModel model);

		PurchaseViewModel ReadElement(PurchaseSearchModel model);

		List<PurchaseViewModel> ReadElements(PurchaseSearchModel? model);

		PurchaseViewModel Delete(PurchaseSearchModel model);
	}
}
