﻿using Contracts.BindingModels;
using DataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.ViewModels
{
    public class MediaFileViewModel
    {
        public Guid Id { get; set; }
        public string Location { get; set; } = string.Empty;
        public string Name { get; set; } = string.Empty;
        public Guid ProductId { get; set; }
		public string ProductName {  get; set; } = string.Empty;
		public MediaFileBindingModel GetBindingModel()
		{
			return new MediaFileBindingModel
			{
				Id = Id,
				Name = Name,
				Location = Location,
				ProductId = ProductId
			};
		}

	}
}
