﻿using DataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.ViewModels
{
    public class ProductViewModel : IProduct
    {
        public Guid Id { get; set; }
        public string Name { get; set; } = string.Empty;
        public double Price {  get; set; }
        public double Rate { get; set; }
        public bool IsBeingSold { get; set; }
        public int Amount { get; set; }
        public List<MediaFileViewModel> MediaFiles { get; set; } = new();
    }
}
