﻿using DataModels.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataModels.Models
{
    public interface ISupply: IId
    {
        string Name { get; }
        double Price { get; }
        Guid SupplierId { get; }
        DateTime Date { get; }
        DateTime? DateArriving { get; }
        DateTime? DateComplete { get; }
        SupplyStatus Status { get; }
        Dictionary<Guid, (IProduct, int)> SupplyProducts { get; }
    }
}
