﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DatabaseImplement.Models
{
    public class PurchaseProducts
    {
        public Guid Id { get; set; }
        [Required]
        public Guid PurchaseId { get; set; }
        [Required]
        public Guid ProductId { get; set; }
        [Required]
        public int Count { get; set; }
        public virtual Product Product { get; set; } = new();
        public virtual Purchase Purchase { get; set; } = new();

    }
}
