﻿using Contracts.BindingModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BusinessLogic.Tools.Mail.MailTemplates
{
	public class MailDeleteUser : Mail
	{
		public MailDeleteUser(UserBindingModel user)
		{
			To = [user.Email];
			Title = "Ваш аккаунт был удален!";
			Body = $"Уважаемый {user.SecondName} {user.FirstName}, Ваш аккаунт был удален навсегда насовсем.\n" +
				$"Если это были не Вы... Тут уже ничего не поможет, приносим наши извинения.";
		}
	}
}