﻿using Contracts.BindingModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BusinessLogic.Tools.Mail.MailTemplates
{
    public class MailTwoFactorCode : Mail
    {
        public MailTwoFactorCode(UserBindingModel user, string code)
        {
            To = [user.Email];
            Title = "Ваш код для подтверждения";
            Body = $"Здравствуйте, {user.SecondName} {user.FirstName}! Вот Ваш код для подтверждения:\n" +
                $"{code}\n" +
                $"Если это не Вы, игноритруйте это сообщение.";
        }
    }
}