﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BindingModels
{
    public class UserBindingModel
    {
        public Guid Id { get; set; }
        public string FirstName { get; set; } = string.Empty;
        public string SecondName { get; set; } = string.Empty;
        public string Email { get; set; } = string.Empty;
        public string PasswordHash { get; set; } = string.Empty;
        public string? Password { get; set; }
        public DateTime Birthday { get; set; }
        public bool OnlyImportantMails { get; set; }
        public RoleBindingModel Role { get; set; } = null!;
    }
}