﻿using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogicContracts
{
	public interface ISellLogic
	{
		SellViewModel Create(SellBindingModel model);

		SellViewModel Update(SellSearchModel model);

		SellViewModel ReadElement(SellSearchModel model);

		IEnumerable<SellViewModel> ReadElements(SellSearchModel? model);

		SellViewModel Delete(SellSearchModel model);
	}
}
