﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DatabaseImplement.Models
{
    public class SupplyProduct
    {
        public Guid Id { get; set; }
        [Required]
        public Guid SupplyId { get; set; }
        [Required]
        public Guid ProductId { get; set; }
        [Required]
        public int Count { get; set; }
        public virtual Supply Supply { get; set; } = new();
        public virtual Product Product { get; set; } = new();
    }
}
